# Class Measure

java.lang.Object
org.openscience.jmol.app.janocchio.Measure

All Implemented Interfaces:
  `Comparable<Measure>`

Direct Known Subclasses:
  `MeasureCouple, MeasureDist, MeasureNoe`

public class Measure extends Object implements Comparable<Measure>

## Field Summary

Fields
Modifier and Type
Field
Description
`protected double`
`diff`

## Method Summary

Modifier and Type
Method
Description
`int`
`compareTo(Measure m)`
`static String`
`formatDistance(double d)`
`static String`
`formatExpNOE(double d)`
`static String`
`formatJ(double d)`
`static String`
`formatNOE(double d)`
`double`
`getCalcValue()`
`double`
`getDiff()`
`String`
`getExpValue()`
`String`
`round()`
`String`
`toString()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### diff

protected double diff

## Method Details

### getExpValue

public String getExpValue()

### getCalcValue

public double getCalcValue()

### getDiff

public double getDiff()

### compareTo

public int compareTo(Measure m)

Specified by:
  `compareTo` in interface `Comparable<Measure>`

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### round

public String round()

### formatDistance

public static String formatDistance(double d)

### formatJ

public static String formatJ(double d)

### formatNOE

public static String formatNOE(double d)

### formatExpNOE

public static String formatExpNOE(double d)